<template>
  <div id="app">
    <h1>QuickNews</h1>
    <NewsFilter v-on:resourceChanged="updateResource" v-bind:pageNumber="pageNumber"></NewsFilter>
    <ResultList v-bind:news="news" v-bind:totalResults="totalResults"  v-on:newPageNumber="updatePageNumber" ></ResultList>

  </div>
</template>

<script>
import NewsFilter from './components/NewsFilter'
 import ResultList from './components/ResultList'

export default {
  name: 'App',
  components: {
     ResultList ,
     NewsFilter
  },
  data () {
    return {
      news: [],
      totalResults:0,
      pageSize:10,
      pageNumber:1
    }
  },
    methods: {
        constructRequest: function(data) {
           console.log(data);
          return data.id +'='+ data.value;
         
        },
        updateResource: function (source,page){
          console.log(page)
            this.$http.get(
              'https://newsapi.org/v2/top-headlines?'+
              this.constructRequest(source) +
              '&pageSize= '+
              this.pageSize +
              '&page='+
               page
              +'&apiKey=7c54c8f938a04a2a835789dabc9b8d28')
            .then(response => {
                this.news = response.body.articles;
                this.totalResults = response.body.totalResults
                });
            },
            updatePageNumber: function(number){
              console.log(number)
              this.pageNumber = number
            }
        },
      }
</script>

<style>
* {
  box-sizing: border-box;
  font-family: sans-serif;
}

body {
  margin: 0;
  padding: 0;
  background-image: url("../src/assets/bg.jpg");
}

#app {
  padding: 0 60px;
}

@media screen and (min-width: 900px) {
  #app {
    padding: 0 15%;
  }
}
</style>
